package cn.iocoder.yudao.module.inspection.service;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.module.inspection.entity.ShopInspectionCategory;

import java.util.List;

/**
 * (ShopInspectionCategory)表服务接口
 *
 * @author makejava
 * @since 2023-08-01 19:59:23
 */
public interface ShopInspectionCategoryService extends IService<ShopInspectionCategory> {
    void saveVo(ShopInspectionCategory category);
    void updateByIdVo(ShopInspectionCategory category);
    void removeByIdsVo(List<Long> idList) throws Exception;
    PageResult<ShopInspectionCategory> listVo(ShopInspectionCategory shopInspectionCategory, PageParam pageParam);
    ShopInspectionCategory getByIdVo(Long id);


}

